jQuery(document).ready(function($) {
    const elementId = window?.rexCheckoutifyCustomCheckout?.field_data?.key
    $(`#${elementId}`).on('change', function() {
        let file_data = $(this).prop('files')[0];
        let form_data = new FormData();
        form_data.append('file', file_data);
        form_data.append('action', 'upload_custom_file');
        form_data.append('nonce', rexCheckoutifyCustomCheckout.nonce);
        form_data.append('max_file_size', rexCheckoutifyCustomCheckout.field_data.maxFileSize);
        $('.file-upload-message').empty();
        $.ajax({
            url: rexCheckoutifyCustomCheckout.ajax_url,
            type: 'POST',
            contentType: false,
            processData: false,
            data: form_data,
            nonce: rexCheckoutifyCustomCheckout.nonce,
            success: function(response) {
                if (response.success) {
                    $('#custom_file_url').val(response.data.url);
                    // $('.file-upload-message').html('<p>File uploaded.</p>');
                    // $('.file-upload-message').css('color', 'green');
                } else {
                    $('.file-upload-message').empty();
                    $('.file-upload-message').html('<p>'+response.data.message+'</p>');
                    $('.file-upload-message').css('color', 'red');
                }
            }
        });
    });
});