<div class="rex-checkoutify-multistep-progressbar relative">

	<?php if ( 'style1' == $checkout_settings['stepLayoutStyle'] ) { ?>
		<div class="single-multistep-style multistep-style1">
			<?php foreach ( $checkout_fields as $step_index => $step ) { ?>
				<div class="single-step-progress <?php echo 'progress-step-'.$step_index; echo 0 === $step_index ? ' active' : ''; ?>
				">
					<div class="progress-inner" target-step="step-<?php echo $step_index; ?>">
						<span class="progressbar-title">
							<?php echo $step['label']; ?>
						</span>

						<span class="nav-icon">
							<svg width="7" height="12" fill="none" viewBox="0 0 7 12" xmlns="http://www.w3.org/2000/svg">
								<path fill="#363B4E" fill-rule="evenodd" stroke="#363B4E" stroke-width=".5" d="M.786 10.839a.656.656 0 010-.928L4.696 6 .787 2.089a.656.656 0 01.928-.928L6.09 5.536a.656.656 0 010 .928L1.714 10.84a.656.656 0 01-.928 0z" clip-rule="evenodd" />
							</svg>
						</span>
					</div>
				</div>
			<?php } ?>
		</div>

	<?php } elseif ( 'style2' == $checkout_settings['stepLayoutStyle'] ) { ?>
		<div class="single-multistep-style multistep-style2">
			<?php foreach ( $checkout_fields as $step_index => $step ) { ?>
				<div class="single-step-progress <?php echo 'progress-step-'.$step_index; echo 0 === $step_index ? ' active' : ''; ?> ">
					<div class="progress-inner" target-step="step-<?php echo $step_index; ?>">
						<span class="nav-icon">
							<svg width="20" height="20" fill="none" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg">
								<circle cx="10" cy="10" r="9.5" stroke="#E7E7E6" />
								<g clip-path="url(#clip0_551_200)">
									<path fill="#000" d="M13.814 7.308a.635.635 0 00-.897 0l-4.039 4.039-1.795-1.795a.635.635 0 10-.897.897l2.243 2.244a.633.633 0 00.898 0l4.487-4.488a.634.634 0 000-.897z" />
								</g>
								<defs>
									<clipPath id="clip0_551_200">
										<path fill="#fff" d="M0 0h8v8H0z" transform="translate(6 6)" />
									</clipPath>
								</defs>
							</svg>
						</span>
						<span class="progressbar-title"><?php echo $step['label']; ?></span>
					</div>
				</div>
			<?php } ?>
		</div>

	<?php } elseif ( 'style3' == $checkout_settings['stepLayoutStyle'] ) { ?>
		<div class="single-multistep-style multistep-style3">
			<?php foreach ( $checkout_fields as $step_index => $step ) { ?>
				<div class="single-step-progress <?php echo 'progress-step-'.$step_index; echo 0 === $step_index ? ' active' : ''; ?> ">
					<div class="progress-inner" target-step="step-<?php echo $step_index; ?>">
						<span class="nav-icon"></span>
						<span class="progressbar-title"><?php echo $step['label']; ?></span>
					</div>
				</div>
			<?php } ?>
		</div>

	<?php } ?>

</div>
