<style id="rex-checkoutify-orderbump-default-style">
    .rex-checkoutify-checkout .rex-checkoutify-tailwind-checkbox {
        display: flex;
        align-items: center;
        gap: 8px;
        margin: 0;
        padding: 0;
        cursor: pointer;
    }

    .rex-checkoutify-checkout .rex-checkoutify-tailwind-checkbox input[type="checkbox"] {
        display: none;
    }

    .rex-checkoutify-checkout .rex-checkoutify-tailwind-checkbox .checkbox-box {
        position: relative;
        display: block;
        height: 18px;
        width: 18px;
        border-radius: 3px;
        background-color: #F7F7FA;
        border: 1px solid #bdc7eb;
        transition: all 0.3s ease;
    }

    .rex-checkoutify-checkout .rex-checkoutify-tailwind-checkbox .checkbox-box-inner {
        height: 100%;
        width: 100%;
        position: absolute;
        top: 0;
        left: 0;
        border-radius: 3px;
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        opacity: 0;
        visibility: hidden;
        background-color: transparent;
        transition: all 0.3s ease;
    }

    .rex-checkoutify-checkout .rex-checkoutify-tailwind-checkbox .checkbox-title {
        font-size: 15px;
        line-height: 1.2;
        font-weight: 500;
        margin: 0;
        padding: 0;
        width: calc(100% - 28px);
    }

    .rex-checkoutify-checkout .rex-checkoutify-tailwind-checkbox input[type="checkbox"]:checked + .checkbox-box {
        border-color: #009064;
        background: #009064;
    }

    .rex-checkoutify-checkout .rex-checkoutify-tailwind-checkbox input[type="checkbox"]:checked + .checkbox-box .checkbox-box-inner {
        opacity: 1;
        visibility: visible;
    }

    .rex-checkoutify-checkout .rex-checkoutify-orderbump .product-img {
        background-color: #F2F2F8;
        position: relative;
        background-repeat: no-repeat;
        background-position: center center;
        background-size: cover;
        object-fit: cover;
        display: flex;
        flex-direction: column; 
        align-items: center;
        justify-content: center;
    }

    .rex-checkoutify-checkout .rex-checkoutify-orderbump .product-description span,
    .rex-checkoutify-checkout .rex-checkoutify-orderbump .product-description li,
    .rex-checkoutify-checkout .rex-checkoutify-orderbump .product-description p,
    .rex-checkoutify-checkout .rex-checkoutify-orderbump .product-description {
        font-size: 13px;
        line-height: 1.5;
    }

    /* ------checkoutify loader----- */
    .rex-checkoutify-checkout .rex-checkoutify-loader {
        border: 2px solid #009064;
        border-radius: 50%;
        border-top: 2px solid #fff;
        width: 13px;
        height: 13px;
        animation: spin 0.7s linear infinite;
        display: inline-block;
    }

    @-webkit-keyframes spin {
        0% { -webkit-transform: rotate(0deg); }
        100% { -webkit-transform: rotate(360deg); }
    }

    @keyframes spin {
        0% { transform: rotate(0deg); }
        100% { transform: rotate(360deg); }
    }

    .rex-checkoutify-ob-loader {
        position: absolute;
        left: 0;
        top: 0;
        width: 100%;
        height: 100%;
        border-radius: 12px;
        background: #42424230;
        z-index: 3;
        padding: 20px;
        display: none;
        flex-flow: column;
        align-items: center;
        justify-content: center;
    }
    .rex-checkoutify-checkout .rex-checkoutify-orderbump .rex-checkoutify-loader {
        width: 30px;
        height: 30px;
    }

</style>

<?php 
    
    if( isset($field['layout']) && 'style2' === $field['layout']['value'] ){
        require CHECKOUTIFY_DIR . '/includes/Public/Templates/OrderBump/OrderBumpStyle2.php';

    }else if( isset($field['layout']) && 'style3' === $field['layout']['value'] ){
        require CHECKOUTIFY_DIR . '/includes/Public/Templates/OrderBump/OrderBumpStyle3.php';

    }else if( isset($field['layout']) && 'style4' === $field['layout']['value'] ){
        require CHECKOUTIFY_DIR . '/includes/Public/Templates/OrderBump/OrderBumpStyle4.php';

    }else if( isset($field['layout']) && 'style5' === $field['layout']['value'] ){
        require CHECKOUTIFY_DIR . '/includes/Public/Templates/OrderBump/OrderBumpStyle5.php';

    }else{
        require CHECKOUTIFY_DIR . '/includes/Public/Templates/OrderBump/OrderBumpStyle1.php';
    }

?>