<?php
/**
 * Checkoutify Migration.
 *
 * This class is responsible for managing the migration of database tables related to Checkoutify.
 *
 * @since 1.0.0
 * @package YourPackageName
 */

namespace RexTheme\Checkoutify\Databases\Migrations;

use RexTheme\Checkoutify\Abstracts\DBMigrator;

/**
 * Jobs migration.
 */
class CheckoutifyMigration extends DBMigrator {

	/**
	 * Migrate the jobs table.
	 *
	 * @since 1.0.0
	 *
	 * @return void
	 */
	public static function migrate() {
		global $wpdb;

		$charset_collate = $wpdb->get_charset_collate();

		$schema_jobs = "CREATE TABLE IF NOT EXISTS `{$wpdb->checkoutify}` (
            
        ) $charset_collate";

		// Create the tables.
		dbDelta( $schema_jobs );
	}
}
