<div 
    class="single-field rex-checkoutify-form-group <?php use RexTheme\Checkoutify\Common\Functions;

    echo isset($field['styles']['label']['placement']) ? 'label-' . $field['styles']['label']['placement'] . ' checkoutify-' . $field['key'] . ' type-' . $field['fieldType'] : ''?> <?php echo isset( $field['key']  ) && 'order_comments' === $field['key'] ? ' floated' : '' ?>"
    data-priority="<?php echo isset($field['priority']) ? $field['priority'] : ''; ?>"
>

    <!-- input label 'order_comments' === $field['key']-->
    <?php if ('order_details' !== $field['key'] && 'place_order' !== $field['key'] && 'heading' !== $field['fieldType'] && 'coupon' !== $field['key'] && 'checkbox' !== $field['fieldType'] && 'payment-method' !== $field['fieldType'] && 'create-account' !== $field['fieldType'] && 'login' !== $field['fieldType'] && 'orderbump' !== $field['fieldType'] ) { ?>

        <?php 
            $inputLabelStyle = isset($labelStyle['inputLabelProperty']) ? $labelStyle['inputLabelProperty'] : '';

            if( isset($field['styles']['label']['placement']) && 'inside' == $field['styles']['label']['placement'] ){
                $left = 'left:'.$field['styles']['input']['paddingLeft'].'px;';
                $inputLabelStyle = $inputLabelStyle . $left;
            }

            if( isset($field['styles']['label']['placement']) && 'floating' == $field['styles']['label']['placement'] ){
                $left = 'left:'.$field['styles']['input']['paddingLeft'].'px;';
                $inputLabelTop = $inputLabelTop['inputLabelTop'];
                $inputLabelBgColor = $inputLabelBgColor['inputLabelBgColor'];

                $inputLabelStyle = $inputLabelStyle . $left . $inputLabelTop . $inputLabelBgColor;
            }
        ?>

        <label 
            class="field-name" 
            for="<?php echo $field['key'] ?>" 
            style="<?php echo $inputLabelStyle ?>">
            <?php
            echo isset( $field['label'] ) ? $field['label'] : '';

            if ($field['required']) {
                echo '<span class="required" title="required">*</abbr>';
            }
            ?>
        </label>
    <?php } ?>

    <!-- if field tyle is select, billint_country, billing_state, shipping_country and shipping_state -->
    <?php
    if (
        (
            isset($field['key']) || isset($field['fieldType'])
        ) && (
            'billing_country' === $field['key'] ||
            'billing_state' === $field['key'] ||
            'shipping_country' === $field['key'] ||
            'shipping_state' === $field['key'] ||
            'select' === $field['fieldType']
        )
    ) {
        $countries = isset($field['key']) && 'shipping_country' === $field['key'] ? WC()->countries->get_shipping_countries() : WC()->countries->get_allowed_countries();
        ?>

        <?php
        if ( ( isset($field['key']) && 'billing_country' === $field['key'] ) || ( isset($field['key']) &&  'shipping_country' === $field['key'] )) {
            $select2Style = \RexTheme\Checkoutify\Common\Functions::getStyles( isset($field['styles']['input']) ? $field['styles']['input'] : [],'select2');
            ?>
            <style id="rex-checkoutify-select2-style">
                .woocommerce-checkout .rex-checkoutify-form-group .select2-container {
                    border: none!important;
                    border-radius: 0!important;
                }

                .rex-checkoutify-form-group .select2 .select2-selection__rendered {
                    outline: 0!important;
                    box-shadow: none!important;
                    <?php echo  isset($select2Style['select2StyleInner']) ? $select2Style['select2StyleInner'] : '';?>
                }
                
                .rex-checkoutify-form-group .select2-container--default .select2-selection--single {
                    <?php echo  isset($select2Style['select2Style']) ? $select2Style['select2Style'] : ''; ?>
                    height: auto!important;
                    outline: 0!important;
                    box-shadow: none!important;
                }

                .woocommerce-checkout .rex-checkoutify-form-group .select2-container--default .select2-selection--single .select2-selection__arrow {
                    height: auto!important;
                    top: calc(50% + 2px)!important;
                    right: 10px!important;
                }
            </style>
            <?php
               
            if (1 === count($countries)) {
                echo '<strong>' . current(array_values($countries)) . '</strong>';

                echo '<input type="hidden" name="' . esc_attr($key) . '" id="' . esc_attr($args['id']) . '" value="' . current(array_keys($countries)) . '" ' . (is_array($custom_attributes) ? implode(' ', $custom_attributes) : '') . ' class="country_to_state" readonly="readonly" />';
            } else {
                ?>
                <div style="position: relative;">
                    <span class="selectbox-arrow-icon" style="right:<?php echo isset($field['styles']['input']['paddingRight']) ? $field['styles']['input']['paddingRight'] : ''; ?>px;">
                        <svg width="10" height="6" fill="none" viewBox="0 0 11 7" xmlns="http://www.w3.org/2000/svg"><path fill="<?php echo isset($field['styles']['input']['arrowColor']) ? $field['styles']['input']['arrowColor'] : ''; ?>" stroke="<?php echo isset($field['styles']['input']['arrowColor']) ? $field['styles']['input']['arrowColor'] : ''; ?>" stroke-width=".4" d="M5.5 6.636a.768.768 0 01-.545-.226L.225 1.68A.77.77 0 111.316.59L5.5 4.777 9.685.591a.77.77 0 011.09 1.09l-4.73 4.73a.768.768 0 01-.545.225z"/></svg>
                    </span>
                    <select name="<?php echo isset($field['name']) ? $field['name'] : '' ?>" id="<?php echo isset( $field['key'] ) ? $field['key'] : '' ?>" class="rex-checkoutify-input country_to_state country_select" style="<?php echo isset($inputStyle['style']) ? $inputStyle['style'] : ''; ?>" <?php echo $field['required'] ? 'required' : ''; ?> >
                        <?php
                        foreach ($countries as $ckey => $cvalue) {
                            echo '<option value="' . esc_attr($ckey) . '" ' . selected(null, $ckey, false) . '>' . esc_html($cvalue) . '</option>';
                        }
                        ?>
                    </select>
                </div>
                <?php
                echo '<noscript><button type="submit" name="woocommerce_checkout_update_totals" value="' . esc_attr__('Update country / region', 'woocommerce') . '">' . esc_html__('Update country / region', 'woocommerce') . '</button></noscript>';
            }
        } elseif ( ( isset($field['key']) && 'billing_state' === $field['key'] ) || ( isset($field['key']) && 'shipping_state' === $field['key'] )) {
                /* Get country this state field is representing */
                $for_country = WC()->checkout->get_value( isset( $field['key'] ) && 'billing_state' === $field['key'] ? 'billing_country' : 'shipping_country');
                $states      = WC()->countries->get_states($for_country);
                $stateStyle = \RexTheme\Checkoutify\Common\Functions::getStyles( isset( $field['styles']['input'] ) ? $field['styles']['input'] : []);
            ?>
            <style id="rex-checkoutify-state-select2-style">
                .rex-checkoutify-form-group .checkoutify-state{
                    outline: 0!important;
                    box-shadow: none!important;
                    <?php echo  isset($stateStyle['style']) ? $stateStyle['style'] : '';?>
                }
                .shipping_state.shipping_state-checkoutify-select2{
                    position : relative;
                }
                
                .rex-checkoutify-form-group .checkoutify-state-select{
                    outline: 0!important;
                    box-shadow: none!important;
                    <?php echo  isset($stateStyle['style']) ? $stateStyle['style'] : '';?>
                }

                .rex-checkoutify-form-group #billing_state_field p,
                .rex-checkoutify-form-group #billing_state_field {
                    margin: 0!important;
                    padding: 0!important;
                }
                
                .rex-checkoutify-form-group .select-shipping_state ,
                .rex-checkoutify-form-group #billing_state-checkoutify-select2 ,
                .rex-checkoutify-form-group #shipping_state-checkoutify-select2 ,
                .rex-checkoutify-form-group .shipping_state-checkoutify ,
                .rex-checkoutify-form-group .billing_state-checkoutify ,
                .rex-checkoutify-form-group .select-billing_state {
                    display: none!important;
                }
                .rex-checkoutify-checkout .single-field.checkoutify-shipping_state > .select2,
                .rex-checkoutify-checkout .single-field.checkoutify-billing_state > .select2 {
                    display: none;
                }
            </style>
            <?php 
            echo '<p id="billing_state_field">';
            $isState = false;
                if (!is_null($for_country) && is_array($states) && !empty($states)) {
                    $isState = true;
                }
                
                $data_label = !empty($args['label']) ? 'data-label="' . esc_attr($args['label']) . '"' : '';
                ?>
                <div style="position: relative;" id="<?php echo !$isState ? $field['key'].'-checkoutify-select2' : ''; ?>" class="<?php echo isset($field['key']) ? $field['key'].' '. $field['key'].'-checkoutify-select2' : $field['key'].'-checkoutify-select2';?>">
                    <span class="selectbox-arrow-icon" style="right:<?php echo isset( $field['styles']['input']['paddingRight'] ) ? $field['styles']['input']['paddingRight'] : '' ; ?>px;">
                        <svg width="10" height="6" fill="none" viewBox="0 0 11 7" xmlns="http://www.w3.org/2000/svg"><path fill="<?php echo isset( $field['styles']['input']['arrowColor'] ) ? $field['styles']['input']['arrowColor'] : ''; ?>" stroke="<?php echo isset( $field['styles']['input']['arrowColor'] ) ? $field['styles']['input']['arrowColor'] : ''; ?>" stroke-width=".4" d="M5.5 6.636a.768.768 0 01-.545-.226L.225 1.68A.77.77 0 111.316.59L5.5 4.777 9.685.591a.77.77 0 011.09 1.09l-4.73 4.73a.768.768 0 01-.545.225z"/></svg>
                    </span>
                    <select name="<?php echo isset( $field['name'] ) ? $field['name'] : '' ?>" id="<?php echo isset( $field['key'] ) ? $field['key'] : '' ?>" class="rex-checkoutify-input state_select checkoutify-state-select" <?php echo $field['required'] ? 'required' : ''; ?> >
                        <?php
                            if(isset($states) && !is_bool($states)){
                                foreach ($states as $ckey => $cvalue) {
                                    echo '<option value="' . esc_attr($ckey) . '" ' . selected(null, $ckey, false) . '>' . esc_html($cvalue) . '</option>';
                                }
                            }
                        ?>
                    </select>
                </div>
                <?php
                    if( !$isState ){
                        ?>
                        <input type="text" class="rex-checkoutify-input checkoutify-state <?php echo $isState ? $field['key'].'-checkoutify '. $field['key'].'-checkoutify-input' : $field['key'].'-checkoutify-input'; ?>" value="" placeholder="" name="<?php echo esc_attr($field['key']);?>" id="<?php echo esc_attr($field['key']); ?>"data-input-classes="" <?php echo $field["required"] ? "required" : ""; ?> />
                        <?php
                    }
                ?>
                
            <?php 
            echo '</p>'; 
        } else {
            ?>
            <div style="position: relative;" class="<?php echo isset( $field['key'] ) ? $field['key'] : '';?>">
                <span class="selectbox-arrow-icon" style="right:<?php echo isset( $field['styles']['input']['paddingRight'] ) ? $field['styles']['input']['paddingRight'] : '' ; ?>px;">
                    <svg width="10" height="6" fill="none" viewBox="0 0 11 7" xmlns="http://www.w3.org/2000/svg"><path fill="<?php echo isset( $field['styles']['input']['arrowColor'] ) ? $field['styles']['input']['arrowColor'] : ''; ?>" stroke="<?php echo isset( $field['styles']['input']['arrowColor'] ) ? $field['styles']['input']['arrowColor'] : ''; ?>" stroke-width=".4" d="M5.5 6.636a.768.768 0 01-.545-.226L.225 1.68A.77.77 0 111.316.59L5.5 4.777 9.685.591a.77.77 0 011.09 1.09l-4.73 4.73a.768.768 0 01-.545.225z"/></svg>
                </span>
                <select name="<?php echo isset( $field['name'] ) ? $field['name'] : '' ?>" id="<?php echo isset( $field['key']  ) ? $field['key'] : '' ?>" class="rex-checkoutify-input" style="<?php echo isset($inputStyle['style']) ? $inputStyle['style'] : ''; ?>" <?php echo $field['required'] ? 'required' : ''; ?> >
                    <?php
                    foreach ($field['options'] as $option_index => $option) {
                        echo '<option value="' . $option['value'] . '">' . $option['name'] . '</option>';
                    }
                    ?>
                </select>
            </div>
        <?php
       }
       
    }else if ( isset( $field['key'] ) && 'create_account' === $field['key']) { 
            $placeholderColor = isset( $field['styles']['input'] ) ? $field['styles']['input'] : '';
            $createAccountLabelStyle = isset($labelStyle['inputLabelProperty']) ? $labelStyle['inputLabelProperty'] : '';
            $createAccountLabelLeft = isset($field['styles']['input']['paddingLeft']) ? $field['styles']['input']['paddingLeft'] : '';
        ?>

         <?php if (!is_user_logged_in() && $checkout->is_registration_enabled()) { ?>
            <div class="rex-checkoutify-account-fields woocommerce-account-fields">
                <?php if (!$checkout->is_registration_required()) : ?>
                    <label class="woocommerce-form__label woocommerce-form__label-for-checkbox checkbox">
                        <input class="woocommerce-form__input woocommerce-form__input-checkbox input-checkbox" id="createaccount" <?php checked((true === $checkout->get_value('createaccount') || (true === apply_filters('woocommerce_create_account_default_checked', false))), true); ?> type="checkbox" name="createaccount" value="1" /> <span><?php esc_html_e('Create an account?', 'woocommerce'); ?></span>
                    </label>
                <?php endif; ?>

                <?php do_action('woocommerce_before_checkout_registration_form', $checkout); ?>

                <?php if ($checkout->get_checkout_fields('account')) : ?>

                    <div class="create-account">
                        <?php foreach ($checkout->get_checkout_fields('account') as $key => $field) : ?>
                            <?php woocommerce_form_field($key, $field, $checkout->get_value($key)); ?>
                        <?php endforeach; ?>
                    </div>

                <?php endif; ?>

                <?php do_action('woocommerce_after_checkout_registration_form', $checkout); ?>
                
                <style id="rex-checkouify-create-account-style" type="text/css">
                    .rex-checkoutify-checkout .rex-checkoutify-account-fields .form-row {
                        margin: 0 0 15px;
                        float: none;
                        position: relative;
                    }
                    .rex-checkoutify-checkout .rex-checkoutify-account-fields .form-row label {
                        margin: 0;
                        display: inline-block;
                        <?php echo $createAccountLabelStyle; ?>
                    }
                    .rex-checkoutify-checkout .rex-checkoutify-account-fields .form-row label .required {
                        color: #cb2727;
                    }

                    /* ---inside label style---- */
                    .rex-checkoutify-checkout .label-inside .rex-checkoutify-account-fields .form-row label {
                        position: absolute;
                        z-index: 1;
                        top: 50%;
                        left: 16px;
                        transform: translateY(-50%) scale(1);
                        transition: all 0.3s ease;
                        transform-origin: left top;
                        left: <?php echo isset($field['styles']['input']['paddingLeft']) ? $field['styles']['input']['paddingLeft'].'px' : '' ?>;
                    }

                    .rex-checkoutify-checkout .label-inside .rex-checkoutify-account-fields .form-row.floated label {
                        transform: translateY(-50%) scale(0.9);
                        top: 14px;
                    }

                    /* ---floating label style----- */
                    .rex-checkoutify-checkout .label-floating .rex-checkoutify-account-fields .form-row label {
                        position: absolute;
                        z-index: 1;
                        padding: 0 6px;
                        border-radius: 3px;
                        left: <?php echo $createAccountLabelLeft ?>px;
                        <?php echo isset($inputLabelTop['inputLabelTop']) ? $inputLabelTop['inputLabelTop'] : '' ?>;
                        <?php echo isset($inputLabelBgColor['inputLabelBgColor']) ? $inputLabelBgColor['inputLabelBgColor'] : '' ?>;
                    }

                    .rex-checkoutify-checkout .rex-checkoutify-account-fields .woocommerce-input-wrapper .input-text  {
                        width: 100%;
                        max-width: 100%;
                        box-shadow: none;
                        outline: none;
                        margin: 0;
                        <?php echo isset($inputStyle['style']) ? $inputStyle['style'] : ''; ?>
                    }
                    .rex-checkoutify-checkout .rex-checkoutify-account-fields .woocommerce-input-wrapper .input-text::-webkit-input-placeholder { 
                        color: <?php echo  isset( $placeholderColor['color'] ) ? $placeholderColor['color'] : ''; ?>;
                        opacity: 0.5
                    }
                    .rex-checkoutify-checkout .rex-checkoutify-account-fields .woocommerce-input-wrapper .input-text::-moz-placeholder {
                        color: <?php echo isset( $placeholderColor['color'] ) ? $placeholderColor['color'] : ''; ?>;
                        opacity: 0.5
                    }
                    .rex-checkoutify-checkout .rex-checkoutify-account-fields .woocommerce-input-wrapper .input-text:-ms-input-placeholder {
                        color: <?php echo isset( $placeholderColor['color'] ) ?  $placeholderColor['color'] : ''; ?>;
                        opacity: 0.5
                    }
                    .rex-checkoutify-checkout .rex-checkoutify-account-fields .woocommerce-input-wrapper .input-text:-moz-placeholder {
                        color: <?php echo isset( $placeholderColor['color'] ) ? $placeholderColor['color'] : ''; ?>;
                        opacity: 0.5
                    }
                </style>
            </div>
        <?php } ?>

    <?php } else if ( isset( $field['key'] ) && 'payment_method' === $field['key']) { ?>
        
        <?php 
            do_action('woocommerce_review_order_before_payment');
            if (WC()->cart && WC()->cart->needs_payment()) {
                $available_gateways = \WC()->payment_gateways()->get_available_payment_gateways();
                ?>
                <ul class="wc_payment_methods payment_methods methods">
                    <?php
                    if (!empty($available_gateways)) {
                        foreach ($available_gateways as $gateway) {
                            ?>
                            <li class="wc_payment_method payment_method_<?php echo esc_attr( $gateway->id ); ?>">
                                <div class="rex-checkoutify-radio-group">
                                    <input id="payment_method_<?php echo esc_attr( $gateway->id ); ?>" type="radio" class="input-radio" name="payment_method" value="<?php echo esc_attr( $gateway->id ); ?>" <?php checked( $gateway->chosen, true ); ?> data-order_button_text="<?php echo esc_attr( 'ppcp-gateway' === $gateway->id ?  $gateway->order_button_text  : $order_button_text ); ?>" />

                                    <label for="payment_method_<?php echo esc_attr( $gateway->id ); ?>" class="rex-checkoutify-radiobtn2">
                                        <span class="radio-box">
                                            <span class="radio-box-inner"></span>
                                        </span>
                                        <span class="radio-title" >
                                            <?php echo $gateway->get_title(); /* phpcs:ignore WordPress.XSS.EscapeOutput.OutputNotEscaped */ ?> <?php echo $gateway->get_icon(); /* phpcs:ignore WordPress.XSS.EscapeOutput.OutputNotEscaped */ ?>
                                        </span>
                                    </label>
                                </div>

                                <?php if ( $gateway->has_fields() || $gateway->get_description() ) : ?>
                                    <div class="payment_box payment_method_<?php echo esc_attr( $gateway->id ); ?>" <?php if ( ! $gateway->chosen ) : /* phpcs:ignore Squiz.ControlStructures.ControlSignature.NewlineAfterOpenBrace */ ?>style="display:none;"<?php endif; /* phpcs:ignore Squiz.ControlStructures.ControlSignature.NewlineAfterOpenBrace */ ?> >
                                        <div class="payment-box-inner">
                                            <?php $gateway->payment_fields(); ?>
                                        </div>
                                    </div>
                                <?php endif; ?>
                            </li>
                            <?php 
                        }
                    } else {
                        echo '<li class="woocommerce-notice woocommerce-notice--info woocommerce-info">' . apply_filters('woocommerce_no_available_payment_methods_message', WC()->customer->get_billing_country() ? esc_html__('Sorry, it seems that there are no available payment methods for your state. Please contact us if you require assistance or wish to make alternate arrangements.', 'woocommerce') : esc_html__('Please fill in your details above to see available payment methods.', 'woocommerce')) . '</li>'; // @codingStandardsIgnoreLine
                    }

                    if( isset( $field['fieldType'] ) && 'payment-method' === $field['fieldType']) {
                        $paymentSectionStyle = isset($field['styles']['payment']['section']) ? $field['styles']['payment']['section'] : '';
                        $paymentBoxStyle = isset($field['styles']['payment']['box']) ? $field['styles']['payment']['box'] : '';
                        $paymentRadioStyle = isset($field['styles']['payment']['radio']) ? $field['styles']['payment']['radio'] : '';
                    }
                    
                    ?>
                </ul>

                <style id="rex-checkouify-payment-method-style" type="text/css">
                    .rex-checkoutify-checkout .wc_payment_methods .rex-checkoutify-radio-group input[type="radio"] {
                        display: none;
                    }
                    .rex-checkoutify-checkout .wc_payment_methods {
                        padding: 0;
                        margin: 0 0 20px;
                        list-style: none;
                        border-width: <?php echo isset($paymentSectionStyle['borderWidth']) ? $paymentSectionStyle['borderWidth'] : ''; ?>px!important;
                        border-style: <?php echo isset($paymentSectionStyle['borderStyle']) ? $paymentSectionStyle['borderStyle']['value'] : ''; ?>!important;
                        border-color: <?php echo isset($paymentSectionStyle['borderColor']) ? $paymentSectionStyle['borderColor'] : ''; ?>!important;
                        border-radius: <?php echo isset($paymentSectionStyle['borderRadius']) ? $paymentSectionStyle['borderRadius'] : ''; ?>px!important;
                        background-color: <?php echo isset($paymentSectionStyle['backgroundColor']) ? $paymentSectionStyle['backgroundColor'] : '' ?>!important;
                    }

                    .rex-checkoutify-checkout .wc_payment_method {
                        margin: 0;
                    }

                    .rex-checkoutify-checkout .wc_payment_methods .payment_box {
                        padding: 0;
                        background-color: transparent;
                        border-radius: 4px;
                        margin: 0;
                        box-shadow: none;
                        position: relative;
                    }

                    .rex-checkoutify-checkout .wc_payment_methods .payment_box:before,
                    .rex-checkoutify-checkout .wc_payment_methods .payment_box:after {
                        display: none;
                    }

                    .rex-checkoutify-checkout .wc_payment_methods .payment-box-inner {
                        border-bottom-width: <?php echo isset($paymentSectionStyle['borderWidth']) ? $paymentSectionStyle['borderWidth'] : ''; ?>px!important;
                        border-bottom-style: <?php echo isset($paymentSectionStyle['borderStyle']) ? $paymentSectionStyle['borderStyle']['value'] : ''; ?>!important;
                        border-bottom-color: <?php echo isset($paymentSectionStyle['borderColor']) ? $paymentSectionStyle['borderColor'] : ''; ?>!important;
                        background-color: <?php echo isset($paymentBoxStyle['backgroundColor']) ? $paymentBoxStyle['backgroundColor'] : '' ?>!important;
                        padding-top: <?php echo isset($paymentBoxStyle['paddingTop']) ? $paymentBoxStyle['paddingTop'] : '' ?>px!important;
                        padding-right: <?php echo isset($paymentBoxStyle['paddingRight']) ? $paymentBoxStyle['paddingRight'] : '' ?>px!important;
                        padding-bottom: <?php echo isset($paymentBoxStyle['paddingBottom']) ? $paymentBoxStyle['paddingBottom'] : '' ?>px!important;
                        padding-left: <?php echo isset($paymentBoxStyle['paddingLeft']) ? $paymentBoxStyle['paddingLeft'] : '' ?>px!important;
                    }
                    .rex-checkoutify-checkout .wc_payment_method:last-child .payment-box-inner {
                        border-bottom-right-radius: <?php echo isset($paymentSectionStyle['borderRadius']) ? $paymentSectionStyle['borderRadius'] : ''; ?>px!important;
                        border-bottom-left-radius: <?php echo isset($paymentSectionStyle['borderRadius']) ? $paymentSectionStyle['borderRadius'] : ''; ?>px!important;
                        border-top-width: <?php echo isset($paymentSectionStyle['borderWidth']) ? $paymentSectionStyle['borderWidth'] : ''; ?>px!important;
                        border-top-style: <?php echo isset($paymentSectionStyle['borderStyle']) ? $paymentSectionStyle['borderStyle']['value'] : ''; ?>!important;
                        border-top-color: <?php echo isset($paymentSectionStyle['borderColor']) ? $paymentSectionStyle['borderColor'] : ''; ?>!important;
                        border-bottom: 0!important;
                    }
                    
                    .rex-checkoutify-checkout .wc_payment_methods .payment-box-inner p {
                        margin: 0!important;
                        padding: 0!important;
                        font-size: <?php echo isset($paymentBoxStyle['fontSize']) ? $paymentBoxStyle['fontSize'] : '' ?>px!important;
                        line-height: <?php echo isset($paymentBoxStyle['lineHeight']) ? $paymentBoxStyle['lineHeight'] : '' ?>!important;
                        font-weight: <?php echo isset($paymentBoxStyle['fontWeight']) ? $paymentBoxStyle['fontWeight'] : '' ?>!important;
                        color: <?php echo isset($paymentBoxStyle['color']) ? $paymentBoxStyle['color'] : '' ?>!important;
                    }

                    .rex-checkoutify-checkout .wc_payment_method .payment-box-inner ul.woocommerce-SavedPaymentMethods {
                        list-style: none;
                        padding: 0;
                        margin: 0;
                    }

                    .rex-checkoutify-checkout .wc_payment_methods .payment-box-inner p.testmode-info {
                        margin-bottom: 10px !important;
                    }

                    .rex-checkoutify-checkout .wc_payment_methods .rex-checkoutify-radio-group > label {
                        cursor: pointer;
                        display: flex;
                        margin: 0;
                        padding: 0;
                    }

                    .rex-checkoutify-checkout .wc_payment_methods .rex-checkoutify-radiobtn2:after,
                    .rex-checkoutify-checkout .wc_payment_methods .rex-checkoutify-radiobtn2:before {
                        display: none!important;
                    }

                    .rex-checkoutify-checkout .wc_payment_methods .rex-checkoutify-radio-group {
                        border-bottom-width: <?php echo isset($paymentSectionStyle['borderWidth']) ? $paymentSectionStyle['borderWidth'] : ''; ?>px!important;
                        border-bottom-style: <?php echo isset($paymentSectionStyle['borderStyle']) ? $paymentSectionStyle['borderStyle']['value'] : ''; ?>!important;
                        border-bottom-color: <?php echo isset($paymentSectionStyle['borderColor']) ? $paymentSectionStyle['borderColor'] : ''; ?>!important;
                        padding-top: <?php echo isset($paymentSectionStyle['paddingTop']) ? $paymentSectionStyle['paddingTop'] : '' ?>px!important;
                        padding-right: <?php echo isset($paymentSectionStyle['paddingRight']) ? $paymentSectionStyle['paddingRight'] : '' ?>px!important;
                        padding-bottom: <?php echo isset($paymentSectionStyle['paddingBottom']) ? $paymentSectionStyle['paddingBottom'] : '' ?>px!important;
                        padding-left: <?php echo isset($paymentSectionStyle['paddingLeft']) ? $paymentSectionStyle['paddingLeft'] : '' ?>px!important;
                    }

                    .rex-checkoutify-checkout .wc_payment_methods .wc_payment_method:last-child .rex-checkoutify-radio-group {
                        border-bottom: 0!important;
                    }

                    .rex-checkoutify-checkout .wc_payment_method .payment-box-inner ul.woocommerce-SavedPaymentMethods li > label,
                    .rex-checkoutify-checkout .wc_payment_methods .radio-title { 
                        font-size: <?php echo isset($paymentRadioStyle['fontSize']) ? $paymentRadioStyle['fontSize'] : '' ?>px!important;
                        line-height: <?php echo isset($paymentRadioStyle['lineHeight']) ? $paymentRadioStyle['lineHeight'] : '' ?>!important;
                        font-weight: <?php echo isset($paymentRadioStyle['fontWeight']) ? $paymentRadioStyle['fontWeight'] : '' ?>!important;
                        color: <?php echo isset($paymentRadioStyle['color']) ? $paymentRadioStyle['color'] : '' ?>!important;
                        text-transform: <?php echo isset($paymentRadioStyle['textTransform']) ? $paymentRadioStyle['textTransform']['value'] : '' ?>!important;
                    }

                    .rex-checkoutify-checkout .wc_payment_methods .radio-box {
                        border-width: <?php echo isset($paymentRadioStyle['borderWidth']) ? $paymentRadioStyle['borderWidth'] : ''; ?>px!important;
                        border-style: <?php echo isset($paymentRadioStyle['borderStyle']) ? $paymentRadioStyle['borderStyle']['value'] : ''; ?>!important;
                        border-color: <?php echo isset($paymentRadioStyle['borderColor']) ? $paymentRadioStyle['borderColor'] : ''; ?>!important;
                        border-radius: <?php echo isset($paymentRadioStyle['borderRadius']) ? $paymentRadioStyle['borderRadius'] : ''; ?>px!important;
                        background-color: <?php echo isset($paymentRadioStyle['backgroundColor']) ? $paymentRadioStyle['backgroundColor'] : '' ?>!important;
                        height: <?php echo isset($paymentRadioStyle['height']) ? $paymentRadioStyle['height'] : ''; ?>px!important;
                        width: <?php echo isset($paymentRadioStyle['width']) ? $paymentRadioStyle['width'] : ''; ?>px!important;
                    }
                    .rex-checkoutify-checkout .wc_payment_methods .radio-box .radio-box-inner {
                        background-color: <?php echo isset($paymentRadioStyle['backgroundColor']) ? $paymentRadioStyle['backgroundColor'] : ''; ?>!important;
                        height: <?php echo isset($paymentRadioStyle['activeIconHeight']) ? $paymentRadioStyle['activeIconHeight'] : ''; ?>px!important;
                        width: <?php echo isset($paymentRadioStyle['activeIconWidth']) ? $paymentRadioStyle['activeIconWidth'] : ''; ?>px!important;
                    }
                    .rex-checkoutify-checkout .wc_payment_methods input[type=radio]:checked + .rex-checkoutify-radiobtn2 .radio-box {
                        border-color: <?php echo isset($paymentRadioStyle['activeBorderColor']) ? $paymentRadioStyle['activeBorderColor'] : '' ?>!important;
                        background: <?php echo isset($paymentRadioStyle['activeBgColor']) ? $paymentRadioStyle['activeBgColor'] : '' ?>!important;
                    }
                    .rex-checkoutify-checkout .wc_payment_methods input[type=radio]:checked + .rex-checkoutify-radiobtn2 .radio-box .radio-box-inner {
                        transform: translate(-50%, -50%) scale(1);
                    }

                    /* ---saved payment method radio btn design--- */
                    .rex-checkoutify-checkout .wc_payment_method .payment-box-inner ul.woocommerce-SavedPaymentMethods > li {
                        margin-bottom: 5px;
                    }
                    .rex-checkoutify-checkout .wc_payment_method .payment-box-inner ul.woocommerce-SavedPaymentMethods > li:last-child {
                        margin-bottom: 0;
                    }
                    .rex-checkoutify-checkout .wc_payment_method .payment-box-inner ul.woocommerce-SavedPaymentMethods li > input[type=radio] {
                        display: none;
                    }

                    .rex-checkoutify-checkout .wc_payment_method .payment-box-inner ul.woocommerce-SavedPaymentMethods li > label {
                        position: relative;
                        cursor: pointer;
                        padding-left: 26px;
                    }
                    .rex-checkoutify-checkout .wc_payment_method .payment-box-inner ul.woocommerce-SavedPaymentMethods li > label:before {
                        content: "";
                        position: absolute;
                        top: 0;
                        left: 0;
                        transition: all 0.3s ease;

                        border-width: <?php echo isset($paymentRadioStyle['borderWidth']) ? $paymentRadioStyle['borderWidth'] : ''; ?>px!important;
                        border-style: <?php echo isset($paymentRadioStyle['borderStyle']) ? $paymentRadioStyle['borderStyle']['value'] : ''; ?>!important;
                        border-color: <?php echo isset($paymentRadioStyle['borderColor']) ? $paymentRadioStyle['borderColor'] : ''; ?>!important;
                        border-radius: <?php echo isset($paymentRadioStyle['borderRadius']) ? $paymentRadioStyle['borderRadius'] : ''; ?>px!important;
                        background-color: <?php echo isset($paymentRadioStyle['backgroundColor']) ? $paymentRadioStyle['backgroundColor'] : '' ?>!important;
                        height: <?php echo isset($paymentRadioStyle['height']) ? $paymentRadioStyle['height'] : ''; ?>px!important;
                        width: <?php echo isset($paymentRadioStyle['width']) ? $paymentRadioStyle['width'] : ''; ?>px!important;
                    }
                    .rex-checkoutify-checkout .wc_payment_method .payment-box-inner ul.woocommerce-SavedPaymentMethods li > label:after {
                        content: "";
                        border-radius: 100%;
                        position: absolute;
                        left: <?php echo $paymentRadioStyle['width']/2 ?>px;
                        top: <?php echo $paymentRadioStyle['height']/2 ?>px;
                        transform: translate(-50%, -50%) scale(0);
                        transition: all 0.3s ease;
                        background-color: <?php echo isset($paymentRadioStyle['backgroundColor']) ? $paymentRadioStyle['backgroundColor'] : ''; ?>!important;
                        height: <?php echo isset($paymentRadioStyle['activeIconHeight']) ? $paymentRadioStyle['activeIconHeight'] : ''; ?>px!important;
                        width: <?php echo isset($paymentRadioStyle['activeIconWidth']) ? $paymentRadioStyle['activeIconWidth'] : ''; ?>px!important;
                    }

                    .rex-checkoutify-checkout .wc_payment_method .payment-box-inner ul.woocommerce-SavedPaymentMethods li > input[type=radio]:checked + label:before {
                        border-color: <?php echo isset($paymentRadioStyle['activeBorderColor']) ? $paymentRadioStyle['activeBorderColor'] : '' ?>!important;
                        background: <?php echo isset($paymentRadioStyle['activeBgColor']) ? $paymentRadioStyle['activeBgColor'] : '' ?>!important;
                    }
                    .rex-checkoutify-checkout .wc_payment_method .payment-box-inner ul.woocommerce-SavedPaymentMethods li > input[type=radio]:checked + label:after {
                        transform: translate(-50%, -50%) scale(1);
                    }

                    /* ---input fieldset design--- */
                    .rex-checkoutify-checkout .wc_payment_methods .payment_box fieldset {
                        margin: 15px 0 0;
                        border: none;
                        padding: 0;
                    }
                    .rex-checkoutify-checkout .wc_payment_methods .payment_box .wc-payment-form .form-row {
                        margin: 0;
                        padding: 0;
                    }
                    .rex-checkoutify-checkout .wc_payment_methods .payment_box .wc-payment-form .form-row > label {
                        font-size: 13px;
                        line-height: 1.1;
                        font-weight: 400;
                        color: rgb(45, 49, 73);
                        margin: 0 0 8px;
                    }

                    .rex-checkoutify-checkout .wc_payment_methods .payment_box .woocommerce-SavedPaymentMethods-saveNew > label {
                        font-size: 14px;
                        line-height: 1.3;
                        font-weight: 400;
                        color: rgb(45, 49, 73);
                        text-transform: none;
                    }
                </style>
                <?php 
            } 
        ?>

    <?php } else if ( isset( $field['key'] ) && 'order_details' === $field['key']) { ?>
        <?php do_action( 'woocommerce_after_checkout_billing_form' ); ?>
        <?php do_action( 'woocommerce_after_checkout_shipping_form' ); ?>
        <?php do_action( 'woocommerce_checkout_after_customer_details' ); ?>
       
        <!-- if field tyle is order details -->
        <div class="rex-checkoutify-order-details">
            <h5 class="order-details-label"><?php echo isset( $field['label'] ) ?  $field['label'] : '' ?></h5>
            <?php do_action( 'woocommerce_checkout_before_order_review' ); ?>
            <table class="order-table woocommerce-checkout-review-order-table">
                <tbody>
                    <?php
                    $orderDetailsStyle = \RexTheme\Checkoutify\Common\Functions::getStyles( isset( $field['styles']['orderDetails']['product'] ) ? $field['styles']['orderDetails']['product'] : []);

                    do_action( 'woocommerce_review_order_before_cart_contents' );
                    if (WC()->cart) {
                        foreach (\WC()->cart->get_cart() as $cart_item_key => $cart_item) {
                            $_product = apply_filters('woocommerce_cart_item_product', $cart_item['data'], $cart_item, $cart_item_key);

                            if ($_product && $_product->exists() && $cart_item['quantity'] > 0 && apply_filters('woocommerce_checkout_cart_item_visible', true, $cart_item, $cart_item_key)) {
                                ?>
                                <tr class="cart-item">
                                    <td class="product-name">
                                        <div class="product-name-wrapper">
                                            <?php if ( isset( $field['styles']['orderDetails']['product']['productImg'] ) && $field['styles']['orderDetails']['product']['productImg']) {
                                                $product_image = wp_get_attachment_image_src(get_post_thumbnail_id($_product->get_id()), 'single-post-thumbnail');
                                            ?>
                                                <div class="product-img" style="border-color: <?php echo isset( $field['styles']['orderDetails']['product']['borderColor'] ) ? $field['styles']['orderDetails']['product']['borderColor'] : '' ?>;">
                                                    <img src="<?php echo is_array($product_image) ? $product_image[0] : '' ?>" alt="Product image">
                                                    <span class="count">
                                                        <?php
                                                        echo $cart_item['quantity'];
                                                        ?>
                                                    </span>
                                                </div>
                                            <?php } ?>

                                            <p class="title" style="<?php echo isset($orderDetailsStyle['style']) ? $orderDetailsStyle['style'] : ''; ?>">
                                                <?php echo wp_kses_post(apply_filters('woocommerce_cart_item_name', $_product->get_name(), $cart_item, $cart_item_key)) . '&nbsp;'; ?>
                                                <?php
                                                if (!$field['styles']['orderDetails']['product']['productImg']) {
                                                    echo '<span>x ' . $cart_item['quantity'] . '</span>';
                                                }
                                                ?>
                                            </p>
                                        </div>
                                    </td>

                                    <td class="product-total" style="<?php echo isset($orderDetailsStyle['style']) ? $orderDetailsStyle['style'] : ''; ?>">
                                        <?php echo apply_filters('woocommerce_cart_item_subtotal', WC()->cart->get_product_subtotal($_product, $cart_item['quantity']), $cart_item, $cart_item_key); // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped 
                                        ?>
                                    </td>
                                </tr>
                                <?php
                            }
                        }
                    }
                    
                    ?>
                    <?php
                        do_action( 'woocommerce_review_order_after_cart_contents' ); 
                    ?>
                </tbody>

                <tfoot>
                    <?php
                    $subtotalStyle = \RexTheme\Checkoutify\Common\Functions::getStyles( isset( $field['styles']['orderDetails']['subTotal'] ) ? $field['styles']['orderDetails']['subTotal'] : []);
                    $totalStyle = \RexTheme\Checkoutify\Common\Functions::getStyles( isset( $field['styles']['orderDetails']['total'] ) ? $field['styles']['orderDetails']['total'] : []);
                    ?>
                    <tr class="cart-subtotal">
                        <td class="subtotal-title" style="<?php echo isset($subtotalStyle['style']) ? $subtotalStyle['style'] : ''; ?>">Subtotal</td>
                        <td class="subtotal-value" style="<?php echo isset($subtotalStyle['style']) ? $subtotalStyle['style'] : ''; ?>"><?php WC()->cart ? wc_cart_totals_subtotal_html() : 0.00; ?></td>
                    </tr>

                    <?php 
                    if( WC()->cart ) :
                    foreach ( WC()->cart->get_coupons() as $code => $coupon ) : ?>
                        <tr class="cart-discount coupon-<?php echo esc_attr( sanitize_title( $code ) ); ?>">
                            <td style="<?php echo isset($subtotalStyle['style']) ? $subtotalStyle['style'] : ''; ?>"><?php wc_cart_totals_coupon_label( $coupon ); ?></td>
                            <td style="<?php echo isset($subtotalStyle['style']) ? $subtotalStyle['style'] : ''; ?>"><?php wc_cart_totals_coupon_html( $coupon ); ?></td>
                        </tr>
                    <?php endforeach; 
                    endif;
                    ?>

                    <tr class="shipping">
                        <!-- <td class="">Shipping</td> -->
                        <?php if (WC()->cart && WC()->cart->needs_shipping() && WC()->cart->show_shipping()) : ?>

                            <?php do_action('woocommerce_review_order_before_shipping'); ?>
                            <?php wc_cart_totals_shipping_html(); ?>
                            <?php do_action('woocommerce_review_order_after_shipping'); ?>

                        <?php endif; ?>
                        <?php if (WC()->cart) :
                            foreach (WC()->cart->get_fees() as $fee) : ?>
                    <tr class="fee">
                        <th style="<?php echo isset($subtotalStyle['style']) ? $subtotalStyle['style'] : ''; ?>"><?php echo esc_html($fee->name); ?></th>
                        <td style="<?php echo isset($subtotalStyle['style']) ? $subtotalStyle['style'] : ''; ?>"><?php wc_cart_totals_fee_html($fee); ?></td>
                    </tr>
            <?php
                endforeach;
                endif;
            ?>

            <?php if (wc_tax_enabled() &&  WC()->cart && !WC()->cart->display_prices_including_tax()) : ?>
                <?php if ('itemized' === get_option('woocommerce_tax_total_display')) : ?>
                    <?php foreach (WC()->cart->get_tax_totals() as $code => $tax) : // phpcs:ignore WordPress.WP.GlobalVariablesOverride.Prohibited 
                    ?>
                        <tr class="tax-rate tax-rate-<?php echo esc_attr(sanitize_title($code)); ?>">
                            <th style="<?php echo isset($subtotalStyle['style']) ? $subtotalStyle['style'] : ''; ?>"><?php echo esc_html($tax->label); ?></th>
                            <td style="<?php echo isset($subtotalStyle['style']) ? $subtotalStyle['style'] : ''; ?>"><?php echo wp_kses_post($tax->formatted_amount); ?></td>
                        </tr>
                    <?php endforeach; ?>
                <?php else : ?>
                    <tr class="tax-total">
                        <th style="<?php echo isset($subtotalStyle['style']) ? $subtotalStyle['style'] : ''; ?>"><?php echo esc_html(WC()->countries->tax_or_vat()); ?></th>
                        <td style="<?php echo isset($subtotalStyle['style']) ? $subtotalStyle['style'] : ''; ?>"><?php wc_cart_totals_taxes_total_html(); ?></td>
                    </tr>
                <?php endif; ?>
            <?php endif; ?>
            </tr>

            <tr class="total">
                <th class="" style="<?php echo isset($totalStyle['style']) ? $totalStyle['style'] : ''; ?>">Total</th>
                <th class="" style="<?php echo isset($totalStyle['style']) ? $totalStyle['style'] : ''; ?>"><?php WC()->cart ?  wc_cart_totals_order_total_html() : 0.00; ?></th>
            </tr>
                </tfoot>
            </table>
            <?php do_action('woocommerce_review_order_after_order_total'); ?>
        </div>

    <?php } else if ( isset( $field['key'] ) && 'coupon' === $field['key'] && wc_coupons_enabled() && ( is_user_logged_in() || WC()->checkout()->is_registration_enabled() || ! WC()->checkout()->is_registration_required() ) ) { ?>
        <?php
        $couponLabelStyle = \RexTheme\Checkoutify\Common\Functions::getStyles( isset( $field['styles']['coupon']['label'] ) ? $field['styles']['coupon']['label'] : []);
        $couponInputStyle = \RexTheme\Checkoutify\Common\Functions::getStyles( isset( $field['styles']['coupon']['input'] ) ? $field['styles']['coupon']['input'] : []);
        $couponButtonStyle = \RexTheme\Checkoutify\Common\Functions::getStyles( isset( $field['styles']['coupon']['button'] ) ? $field['styles']['coupon']['button'] : []);
        ?>

        <div class="rex-checkoutify-coupon checkout_coupon woocommerce-form-coupon">
            <div class="rex-checkoutify-coupon-wrapper">
                <input type="text" name="coupon_code" class="input-text coupon-field rex-checkoutify-input" placeholder="<?php esc_attr_e('Coupon code', 'woocommerce'); ?>" id="coupon_code" value="" style="<?php echo isset($couponInputStyle['style']) ? $couponInputStyle['style'] : ''; ?>" />

                <a class="coupon-button button" name="apply_coupon" value="<?php esc_attr_e('Apply', 'woocommerce'); ?>" style="<?php echo isset($couponButtonStyle['style']) ? $couponButtonStyle['style'] . '; cursor: pointer;' : 'cursor: pointer !important;'; ?>"
                >
                    <?php esc_html_e('Apply', 'woocommerce'); ?>
                </a>
            </div>
        </div>

    <?php } else if ( ( isset( $field['key'] ) && 'billing_email' === $field['key'] ) || ( isset( $field['key'] ) && 'shipping_email' === $field['key'] )) { ?>
        <!-- if field tyle is email -->
        <input type="email" name="<?php echo isset( $field['name'] ) ? $field['name'] : '' ?>" id="<?php echo isset( $field['key'] ) ? $field['key'] : '' ?>" placeholder="<?php echo isset( $field['placeholder']  ) ? $field['placeholder'] : '' ?>" class="rex-checkoutify-input" style="<?php echo isset($inputStyle['style']) ? $inputStyle['style'] : ''; ?>" <?php echo $field['required'] ? 'required' : ''; ?>>

    <?php } else if ( isset( $field['fieldType'] ) && 'url' === $field['fieldType'] ) { ?>

        <input type="url" name="<?php echo $field['name'] ?? '' ?>" id="<?php echo $field['key'] ?? '' ?>" placeholder="<?php echo $field['placeholder'] ?? '' ?>" class="rex-checkoutify-input" style="<?php echo $inputStyle['style'] ?? ''; ?>" <?php echo $field['required'] ? 'required' : ''; ?>>

    <?php } else if ( isset( $field['fieldType'] ) && 'date' === $field['fieldType'] ) { ?>

        <input type="date" name="<?php echo $field['name'] ?? '' ?>" id="<?php echo $field['key'] ?? '' ?>" class="rex-checkoutify-input"  style="<?php echo $inputStyle['style'] ?? ''; ?>" <?php echo isset($field['required']) && $field['required'] ? 'required' : ''; ?><?php echo isset($field['startDate']) ? 'min="' . $field['startDate'] . '"' : ''; ?><?php echo isset($field['endDate']) ? 'max="' . $field['endDate'] . '"' : ''; ?>>

    <?php } else if ( isset( $field['fieldType'] ) && 'time' === $field['fieldType'] ) { ?>

        <input type="time" name="<?php echo $field['name'] ?? '' ?>" id="<?php echo $field['key'] ?? '' ?>" class="rex-checkoutify-input" style="<?php echo $inputStyle['style'] ?? ''; ?>"<?php echo isset($field['required']) && $field['required'] ? 'required' : ''; ?><?php echo isset($field['startTime']) ? 'min="' . $field['startTime'] . '"' : ''; ?><?php echo isset($field['endTime']) ? 'max="' . $field['endTime'] . '"' : ''; ?>>

    <?php } else if ( isset( $field['fieldType'] ) && 'heading' === $field['fieldType'] ) { ?>
        <?php
        $styles = Functions::convertStylesToCss($field['styles']);
        if ('h1' === $field['headingType']) {
            ?>
            <h1 style="<?php echo $styles?>"><?php echo $field['label']; ?></h1>
            <?php
        } elseif ('h2' === $field['headingType']) {
            ?>
            <h2 style="<?php echo $styles?>"><?php echo $field['label']; ?></h2>
            <?php
        } elseif ('h3' === $field['headingType']) {
            ?>
            <h3 style="<?php echo $styles?>"><?php echo $field['label']; ?></h3>
            <?php
        } elseif ('h4' === $field['headingType']) {
            ?>
            <h4 style="<?php echo $styles?>"><?php echo $field['label']; ?></h4>
            <?php
        } elseif ('h5' === $field['headingType']) {
            ?>
            <h5 style="<?php echo $styles?>"><?php echo $field['label']; ?></h5>
            <?php
        } elseif ('h6' === $field['headingType']) {
            ?>
            <h6 style="<?php echo $styles?>"><?php echo $field['label']; ?></h6>
            <?php
        } elseif ('span' === $field['headingType']) {
            ?>
            <span style="<?php echo $styles?>"><?php echo $field['label']; ?></span>
            <?php
        } elseif ('p' === $field['headingType']) {
            ?>
            <p style="<?php echo $styles?>"><?php echo $field['label']; ?></p>
            <?php
        } elseif ('div' === $field['headingType']) {
            ?>
            <div style="<?php echo $styles?>"><?php echo $field['label']; ?></div>
            <?php
        } elseif ('hidden' === $field['headingType']) {
            ?>
            <input type="hidden" name="<?php echo esc_attr($field['name'] ?? ''); ?>" id="<?php echo esc_attr($field['key'] ?? ''); ?>">
            <?php
        } else{
        ?>
            <h3 class="rex-checkoutify-heading" style="<?php echo $field['styles']['heading']['style'] ?? ''; ?>"><?php echo $field['label'] ?? ''; ?></h3>
    <?php } ?>
    <?php }else if ( isset( $field['fieldType'] ) && 'file' === $field['fieldType'] ) {
        ?>
        <input type="file" name="<?php echo $field['name'] ?? '' ?>" accept="'.pdf, .docx, .jpg, .png, .webp, jpeg"  id="<?php echo $field['key'] ?? '' ?>" placeholder="<?php echo $field['placeholder'] ?? '' ?>" class="rex-checkoutify-input" style="<?php echo $inputStyle['style'] ?? ''; ?>" <?php echo $field['required'] ? 'required' : ''; ?>>
        <input type="hidden" id="custom_file_url" name="custom_file_url">
        <span class='file-upload-message'></span>
        <?php Functions::render_script_for_file_upload($field); ?>
    <?php } else if ( isset( $field['fieldType'] ) && 'radio' === $field['fieldType']) { ?>

        <?php
        $radioStyle = \RexTheme\Checkoutify\Common\Functions::getStyles( isset( $field['styles']['radio'] ) ? $field['styles']['radio'] : [], 'radio');
        ?>
        <!-- if field tyle is radio -->
        <div class="rex-checkoutify-radio-group <?php echo $field['required'] ? 'has-validation ' : ''; echo isset( $field['styles']['radio']['layout'] ) ? $field['styles']['radio']['layout'] : '' ?>" style="gap: <?php echo isset( $field['styles']['radio']['gap'] ) ? $field['styles']['radio']['gap'] : '' ?>px;">
            <?php foreach ($field['options'] as $radio_option_index => $radio_option) { ?>
                <label class="rex-checkoutify-radiobtn2">
                    <input type="radio" name="<?php echo isset( $field['name'] ) ? $field['name'] : '' ?>" value="<?php echo isset( $radio_option['value']  ) ? $radio_option['value'] : '' ?>" <?php echo $field['required'] ? 'required' : ''; ?> />
                    <span class="radio-box" style="<?php echo isset($radioStyle['styleBox']) ? $radioStyle['styleBox'] : ''; ?>">
                        <span class="radio-box-inner" style="<?php echo isset($radioStyle['styleInner']) ? $radioStyle['styleInner'] : ''; ?>"></span>
                    </span>
                    <span class="radio-title" style="<?php echo isset($radioStyle['styleTitle']) ? $radioStyle['styleTitle'] : ''; ?>">
                        <?php echo isset( $radio_option['name'] ) ? $radio_option['name'] : '' ?>
                    </span>
                </label>
            <?php } ?>
        </div>

    <?php } else if ( isset( $field['fieldType'] ) && 'checkbox' === $field['fieldType']) { ?>
        <!-- if field tyle is checkbox -->
        <?php
        $checkboxStyle = \RexTheme\Checkoutify\Common\Functions::getStyles( isset( $field['styles']['checkbox'] ) ? $field['styles']['checkbox'] : [], 'checkbox');
        ?>
        <div class="rex-checkoutify-checkbox-group <?php echo $field['required'] ? 'has-validation' : ''; ?>">
            <label class="rex-checkoutify-checkbox2">
                <input type="checkbox" name="<?php echo isset( $field['name'] ) ? $field['name'] : '' ?>" <?php echo $field['required'] ? 'required' : ''; ?> />
                <span class="checkbox-box" style="<?php echo isset($checkboxStyle['styleBox']) ? $checkboxStyle['styleBox'] : ''; ?>">
                    <span class="checkbox-box-inner">
                        <svg fill="none" width="<?php echo isset( $field['styles']['checkbox']['checkIconWidth'] ) ? $field['styles']['checkbox']['checkIconWidth'] : '' ?>" height="<?php echo isset( $field['styles']['checkbox']['checkIconHeight']  ) ?  $field['styles']['checkbox']['checkIconHeight'] : '' ?>" viewBox="0 0 12 10" xmlns="http://www.w3.org/2000/svg">
                            <path fill="<?php echo isset( $field['styles']['checkbox']['checkColor']  ) ? $field['styles']['checkbox']['checkColor'] : '' ?>" d="M5.538 9.635a.23.23 0 01-.17-.074L.8 4.618a.23.23 0 01.169-.387h2.2a.23.23 0 01.173.08L4.87 6.066c.165-.353.485-.94 1.045-1.656.83-1.058 2.37-2.614 5.008-4.019a.23.23 0 01.25.386c-.01.008-1.027.809-2.197 2.275C7.898 4.403 6.466 6.61 5.762 9.46a.23.23 0 01-.224.175z" />
                        </svg>
                    </span>
                </span>
                <span class="checkbox-title" style="<?php echo isset($checkboxStyle['styleTitle']) ? $checkboxStyle['styleTitle'] : ''; ?>">
                    <?php 
                        echo isset( $field['label']  ) ? $field['label'] : ''; 

                        if ($field['required']) {
                            echo '<span class="required" title="required">*</abbr>';
                        }
                    ?>
                    
                </span>
            </label>
        </div>

    <?php } else if ( ( $field['key'] && 'billing_phone' === $field['key'] ) || ( $field['key'] && 'shipping_phone' === $field['key'] ) ) { ?>
        <!-- if field tyle is phone -->
        <input type="tel" name="<?php echo isset( $field['name'] ) ? $field['name'] : '' ?>" id="<?php echo isset( $field['key'] ) ? $field['key'] : '' ?>" placeholder="<?php echo isset( $field['placeholder']  ) ? $field['placeholder'] : '' ?>" class="rex-checkoutify-input" style="<?php echo isset($inputStyle['style']) ? $inputStyle['style'] : ''; ?>" <?php echo $field['required'] ? 'required' : ''; ?> />

    <?php } else if ( isset( $field['key'] ) && 'place_order' === $field['key'] ) { ?>
        <?php
		/**
		 * Terms and conditions hook used to inject content.
		 *
		 * @since 3.4.0.
		 * @hooked wc_checkout_privacy_policy_text() Shows custom privacy policy text. Priority 20.
		 * @hooked wc_terms_and_conditions_page_content() Shows t&c page content. Priority 30.
		 */
		do_action( 'woocommerce_checkout_terms_and_conditions' );
		?>

        <?php if (wc_terms_and_conditions_checkbox_enabled()) : ?>
            <p class="form-row validate-required">
                <label class="woocommerce-form__label woocommerce-form__label-for-checkbox checkbox">
                    <input type="checkbox" class="woocommerce-form__input woocommerce-form__input-checkbox input-checkbox" name="terms" <?php checked(apply_filters('woocommerce_terms_is_checked_default', isset($_POST['terms'])), true); // WPCS: input var ok, csrf ok. ?> id="terms" />
                    <span class="woocommerce-terms-and-conditions-checkbox-text"><?php wc_terms_and_conditions_checkbox_text(); ?></span>&nbsp;<abbr class="required" title="<?php esc_attr_e('required', 'woocommerce'); ?>">*</abbr>
                </label>
                <input type="hidden" name="terms-field" value="1" />
            </p>
        <?php endif; 
        do_action( 'woocommerce_checkout_after_terms_and_conditions' );
        ?>
        
        <!-- if field tyle is place order -->
        <?php
        $placeOrderButtonStyle = \RexTheme\Checkoutify\Common\Functions::getStyles( isset( $field['styles']['button'] ) ? $field['styles']['button'] : []);
        do_action('woocommerce_review_order_before_submit');
        ?>
        <button type="submit" class="rex-checkoutify-btn" name="woocommerce_checkout_place_order" id="place_order" style="<?php echo isset($placeOrderButtonStyle['style']) ? $placeOrderButtonStyle['style'] : "" ?>"><?php echo isset( $field['label'] ) ? $field['label'] : '' ?></button>
        <?php wp_nonce_field('woocommerce-process_checkout', 'woocommerce-process-checkout-nonce'); 
        do_action('woocommerce_review_order_after_submit');
            if ( ! wp_doing_ajax() ) {
                do_action( 'woocommerce_review_order_after_payment' );
            }

        ?>


    <?php } else if ( isset( $field['key'] ) && 'order_comments' === $field['key'] ) { ?>
        <?php do_action('woocommerce_before_order_notes'); ?>
        <!-- if field tyle is textarea -->
        <textarea 
            name="<?php echo isset( $field['name']  ) ? $field['name'] : '' ?>" 
            id="<?php echo isset( $field['key'] ) && $field['key'] ?>" 
            cols="30" 
            rows="5" 
            placeholder="<?php echo isset( $field['key'] ) && 'order_comments' !== $field['key'] ? $field['placeholder'] : '' ?>" 
            class="rex-checkoutify-input" 
            style="<?php echo isset($inputStyle['style']) ? $inputStyle['style'] : ''; ?>"
            <?php echo $field['required'] ? 'required' : ''; ?>
            ></textarea>

    <?php } else if( isset( $field['fieldType'] ) && 'orderbump' === $field['fieldType'] ){ ?>

            <?php require CHECKOUTIFY_DIR . '/includes/Public/Templates/OrderBump.php'; ?>

    <?php } else { 
            if ( isset( $field['key'] ) && 'login' !== $field['key']) {
                ?>
                <input type="text" name="<?php echo isset( $field['name'] ) ? $field['name'] : '' ?>" id="<?php echo isset( $field['key'] ) ? $field['key'] : '' ?>" placeholder="<?php echo isset( $field['placeholder'] ) ? $field['placeholder'] : '' ?>" class="rex-checkoutify-input" style="<?php echo isset($inputStyle['style']) ? $inputStyle['style'] : ''; ?>" <?php echo  isset( $field['required']  ) && $field['required'] ? 'required' : ''; ?> />
            <?php 
            } 
        } 
    ?>
</div>