<style id="rex-checkoutify-orderbump3-style">
    .rex-checkoutify-orderbump3 .rex-checkoutify-switch {
        margin: 0;
        cursor: pointer;
        line-height: 1;
        padding: 0;
    }
    .rex-checkoutify-orderbump3 .rex-checkoutify-switch input {
        display: none;
    }
    .rex-checkoutify-orderbump3 .rex-checkoutify-switch input + .switch-box {
        width: 28px;
        height: 16px;
        border: 1px solid #d1d7e3;
        background: #bec8d0;
        border-radius: 10px;
        vertical-align: top;
        position: relative;
        display: inline-block;
        -webkit-user-select: none;
        -moz-user-select: none;
        -ms-user-select: none;
        user-select: none;
        transition: all 0.4s ease;
    }
    .rex-checkoutify-orderbump3 .rex-checkoutify-switch input + .switch-box:before {
        content: "";
        float: left;
        width: 12px;
        height: 12px;
        background: #fff;
        pointer-events: none;
        margin-top: 1px;
        margin-left: 1px;
        border-radius: inherit;
        transition: all 0.4s ease 0s;
    }
    .rex-checkoutify-orderbump3 .rex-checkoutify-switch input + .switch-box:after {
        content: "";
        left: -1px;
        top: -1px;
        width: 16px;
        height: 16px;
        border: 2px solid transparent;
        border-top-color: #648e8b;
        border-radius: 50%;
        position: absolute;
        opacity: 0;
    }
    .rex-checkoutify-orderbump3 .rex-checkoutify-switch input:checked + .switch-box {
        background-color: <?php echo isset($field['styles']['obPrimaryColor']) ? $field['styles']['obPrimaryColor'] : ''; ?>;
        border-width: 1px;
        border-style: solid;
        border-color: <?php echo isset($field['styles']['obPrimaryColor']) ? $field['styles']['obPrimaryColor'] : ''; ?>;
    }
    .rex-checkoutify-orderbump3 .rex-checkoutify-switch input:checked + .switch-box:before {
        transform: translate(13px, 0);
    }
    .rex-checkoutify-orderbump3 .rex-checkoutify-switch:hover input:checked + .switch-box {
        background: #648e8b;
    }
    /* ----end switcher style----- */
 

    .rex-checkoutify-checkout .rex-checkoutify-orderbump3 {
        border-radius: 12px;
        position: relative;
        margin-bottom: 15px;
        border-width: 2px;
        border-style: dashed;
        border-color: <?php echo isset($field['styles']['obPrimaryColor']) ? $field['styles']['obPrimaryColor'] : ''; ?>;
        background-color: <?php echo isset($field['styles']['obBgColor']) ? $field['styles']['obBgColor'] : ''; ?>;
        padding: 20px;
    }

    .rex-checkoutify-checkout .rex-checkoutify-orderbump3 .offer-checkbox {
        padding: 0 0 16px;
        margin: 0 0 16px 0;
        border-bottom: 1px solid #dddddd;
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    .rex-checkoutify-orderbump3 .offer-checkbox .checkbox-title {
        font-size: 15px;
        line-height: 1.2;
        font-weight: 500;
        text-transform: uppercase;
        margin: 0;
        padding: 0;
        width: calc(100% - 30px);
        color: <?php echo isset($field['product']['checkboxText']['styles']['color']) ? $field['product']['checkboxText']['styles']['color'] : ''; ?>;
    }

    .rex-checkoutify-checkout .rex-checkoutify-orderbump3 .template-wrapper {
        display: flex;
        align-items: flex-start;
        gap: 20px;
    }
    .rex-checkoutify-checkout .rex-checkoutify-orderbump3 .product-content {
        width: calc(100% - 120px);
    }
    .rex-checkoutify-checkout .rex-checkoutify-orderbump3 .product-content .product-title {
        font-size: 18px;
        line-height: 1.3;
        font-weight: 500;
        margin: 0 0 4px 0;
        padding: 0;
        color: <?php echo isset($field['product']['title']['styles']['color']) ? $field['product']['title']['styles']['color'] : ''; ?>;
    }

    .rex-checkoutify-checkout .rex-checkoutify-orderbump3 .product-content .product-price,
    .rex-checkoutify-checkout .rex-checkoutify-orderbump3 .product-content .product-price del,
    .rex-checkoutify-checkout .rex-checkoutify-orderbump3 .product-content .product-price span {
        display: inline-block;
        font-size: 16px;
        line-height: 1.2;
        font-weight: 500;
        margin: 0;
        padding: 0;
        color: <?php echo isset($field['product']['price']['styles']['color']) ? $field['product']['price']['styles']['color'] : ''; ?>;
    }
    
    .rex-checkoutify-checkout .rex-checkoutify-orderbump3 .product-content .product-price {
        margin: 0 0 6px 0;
        padding: 0;
    }

    .rex-checkoutify-checkout .rex-checkoutify-orderbump3 .product-content .product-subtitle {
        font-size: 14px;
        line-height: 1.3;
        font-weight: 500;
        margin: 0 0 3px 0;
        padding: 0;
        color: <?php echo isset($field['product']['hightlightText']['styles']['color']) ? $field['product']['hightlightText']['styles']['color'] : ''; ?>;
    }

    .rex-checkoutify-checkout .rex-checkoutify-orderbump3 .product-description span,
    .rex-checkoutify-checkout .rex-checkoutify-orderbump3 .product-description li,
    .rex-checkoutify-checkout .rex-checkoutify-orderbump3 .product-description p,
    .rex-checkoutify-checkout .rex-checkoutify-orderbump3 .product-description {
        color: <?php echo isset($field['product']['description']['styles']['color']) ? $field['product']['description']['styles']['color'] : ''; ?>;
    }

    .rex-checkoutify-checkout .rex-checkoutify-orderbump3 .product-img {
        height: 100px;
        width: 100px;
        border-radius: 5px;
        background-image: url(<?php echo isset($field['product']['img']) ? $field['product']['img'] : ''; ?>);
    }

    /* -----responsive style------ */
    @media only screen and (max-width: 575px){
        .rex-checkoutify-checkout .rex-checkoutify-orderbump3 {
            padding: 10px;
        }

    }
</style>

<?php
    $dataKey = isset($field['key']) ? $field['key'] : '';
    $productId = isset($field['product']['id']) ? $field['product']['id'] : '';
    $dataQuantity = isset($field['product']['quantity']) ? $field['product']['quantity'] : '';
    $salePrice = isset($field['product']['discount']['salePrice']) ? $field['product']['discount']['salePrice'] : '';
    $regularPrice = isset($field['product']['discount']['regularPrice']) ? $field['product']['discount']['regularPrice'] : '';
    $discountedPrice = isset($field['product']['discount']['discountedPrice']) ? $field['product']['discount']['discountedPrice'] : '';
    $replace = isset($field['product']['replace']) && true === $field['product']['replace'] ? 'yes' : 'no';
?>

<div class="rex-checkoutify-orderbump rex-checkoutify-orderbump3">
    <div class="rex-checkoutify-ob-loader">
        <span class="rex-checkoutify-loader"></span>
    </div>

    <div class="offer-checkbox">
        <p class="checkbox-title">
            <?php echo isset($field['product']['checkboxText']['text']) ? $field['product']['checkboxText']['text'] : ''; ?>
        </p>
        <label class="rex-checkoutify-switch">
            <input type="checkbox" name="add-ob-product" class="add-ob-product" data-key="<?php echo $dataKey; ?>" data-product-id="<?php echo $productId; ?>" data-quantity="<?php echo $dataQuantity; ?>" data-sale-price="<?php echo $salePrice; ?>" data-regular-price="<?php echo $regularPrice; ?>" data-discounted-price="<?php echo $discountedPrice; ?>" data-replace="<?php echo $replace; ?>"/>

            <div class="switch-box"></div>
        </label>
    </div>

    <div class="template-wrapper">
        <div class="product-content">
            <h5 class="product-title">
                <?php 
                    echo isset($field['product']['title']['text']) ? $field['product']['title']['text'] : ''; 
                    echo ' x ';
                    echo isset($field['product']['quantity']) ? $field['product']['quantity'] : '';
                ?>
            </h5>

            <p class="product-price">
                <strong>Price: </strong>
                <?php 
                if( isset($field['product']['discount']['type']['value']) && 'original' === $field['product']['discount']['type']['value']  ) {   
                    if( isset($field['product']['discount']['salePrice']) && $field['product']['discount']['salePrice'] ) { ?>
                        <span>
                            <del>
                                <?php echo get_woocommerce_currency_symbol(). isset($field['product']['discount']['regularPrice']) ? $field['product']['discount']['regularPrice'] : ''; ?>
                            </del>
                            <?php echo get_woocommerce_currency_symbol(). $field['product']['discount']['salePrice']; ?>
                        </span>
                    <?php }else{ ?>
                        <span>
                            <?php echo get_woocommerce_currency_symbol(). $field['product']['discount']['regularPrice']; ?>
                        </span>
                    <?php } 
                }else{
                    if( isset($field['product']['discount']['applyto']['value']) && 'regular-price' === $field['product']['discount']['applyto']['value'] ) { ?>
                        <span>
                            <del>
                                <?php echo get_woocommerce_currency_symbol(). isset($field['product']['discount']['regularPrice']) ? $field['product']['discount']['regularPrice'] : ''; ?>
                            </del>
                            <?php echo get_woocommerce_currency_symbol(). $field['product']['discount']['discountedPrice']; ?>
                        </span>
                    <?php }else{ ?>
                        <span>
                            <del>
                                <?php echo get_woocommerce_currency_symbol(). isset($field['product']['discount']['salePrice']) ? $field['product']['discount']['salePrice'] : ''; ?>
                            </del>
                            <?php echo get_woocommerce_currency_symbol(). $field['product']['discount']['discountedPrice']; ?>
                        </span>
                    <?php }
                }
                ?>

            </p>

            <h6 class="product-subtitle">
                <?php echo isset($field['product']['hightlightText']['text']) ? $field['product']['hightlightText']['text'] : ''; ?>
            </h6>

            <div class="product-description">
                <?php echo isset($field['product']['description']['text']) ? $field['product']['description']['text'] : ''; ?>
            </div>
        </div>

        <div class="product-img">
            <?php if( isset($field['product']) && !$field['product']['img'] ){ ?>
                <svg width="30" height="30" fill="none" viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg"><path fill="#7A8B9A" d="M2.58 19.01l-.02.02c-.27-.59-.44-1.26-.51-2 .07.73.26 1.39.53 1.98zM9 10.38a2.38 2.38 0 100-4.76 2.38 2.38 0 000 4.76z"/><path fill="#7A8B9A" d="M16.19 2H7.81C4.17 2 2 4.17 2 7.81v8.38c0 1.09.19 2.04.56 2.84.86 1.9 2.7 2.97 5.25 2.97h8.38c3.64 0 5.81-2.17 5.81-5.81V7.81C22 4.17 19.83 2 16.19 2zm4.18 10.5c-.78-.67-2.04-.67-2.82 0l-4.16 3.57c-.78.67-2.04.67-2.82 0l-.34-.28c-.71-.62-1.84-.68-2.64-.14l-3.74 2.51c-.22-.56-.35-1.21-.35-1.97V7.81c0-2.82 1.49-4.31 4.31-4.31h8.38c2.82 0 4.31 1.49 4.31 4.31v4.8l-.13-.11z"/></svg>
            <?php } ?>
        </div>
    </div>
    
</div>